Subject: Re: [PATCH 1/4] rev-parse: deprecate use as an option sifter

From: Michael J Gruber <[email-masked]>
Date: Fri, 14 May 2010 21:22:47 +0200

Jakub Narebski venit, vidit, dixit 14.05.2010 21:01:
> Dnia piątek 14. maja 2010 20:52, Michael J Gruber napisał:
>> Jakub Narebski venit, vidit, dixit 14.05.2010 17:41:
>>> Michael J Gruber <[email-masked]> writes:
>>>
>>>>  NAME
>>>>  ----
>>>> -git-rev-parse - Pick out and massage parameters
>>>> +git-rev-parse - Parse symbolic names into object names
>>>
>>> What about "git rev-parse --parseopt"?  Isn't it massaging parameters?
>>>
>>
>> Sure it is. But if you read the part of the patch that you cut out (i.e.
>> the comment and relevant diff) you see that the massaging part is the
>> deprecated part of it. That's why I suggest not mentioning it at the
>> most prominent place. (I don't suggest removing that functionality.)
> 
> "git rev-parse --parseopt" is not deprecated.  What is deprecated is
> --revs-only, --flags, etc.
> 

Still, I would say that "massage parameters" refers to all parameter
massaging including '--flags' etc. And, my paragraph about deprecation
mentions the option sifting part only.

Cheers,
Michael